#!/usr/bin/env python

import sys

#Inizializziamo 

########## MAIN ##################
print '\n\n#########################################################'
print '#                                                       #'
print '#   RDGB - Retrieving_Domains and Genome_Browsing       #'
print '#                                                       #'
print '#   Bioinformatic tool for pathways characterization    #'
print '#                                                       #'
print '#   CERM: Magnetic Resonance Center                     #'
print '#   http://www.cerm.unifi.it/home/                      #'
print '#                                                       #'
print '#########################################################'

try:
    import ftplib
    print "Python Module 'FTPLIB - FTP protocol client' FOUND!"
except:
    print "Please install the python module 'FTPLIB - FTP protocol client'"
    sys.exit()

try:
    import os
    print "Python Module 'OS - Miscellaneous operating system interfaces' FOUND!"
except:
    print "Please install the python module 'OS - Miscellaneous operating system interfaces'"
    sys.exit()

try:
    import re
    print "Python Module 'RE - Regular expression operations' FOUND!"
except:
    print "Please install the python module 'RE - Regular expression operations'"
    sys.exit()

try:
    import string
    print "Python Module 'STRING - Common string operations' FOUND!"
except:
    print "Please install the python module 'STRING - Common string operations'"
    sys.exit()

try:
    from time import strftime
    print "Python Module 'TIME - Time access and conversions' FOUND!"
except:
    print "Please install the python module 'TIME - Time access and conversions'"
    sys.exit()

try:
    import urllib
    print "Python Module 'URLLIB - Open arbitrary resources by URL' FOUND!"
except:
    print "Please install the python module 'URLLIB - Open arbitrary resources by URL'"
    sys.exit()

print 'Downloading hmmer-3.0...'
url='ftp://selab.janelia.org/pub/software/hmmer3/3.0/hmmer-3.0.tar.gz'
filename='hmmer-3.0.tar.gz'
try:
	urllib.urlretrieve(url, filename)
except:
	sys.exit('Error downloading hmmer-3.0')
print '\nInstalling hmmer-3.0 and preparing RDGB...'
try:
	os.system('chmod 744 0Tools/*.mac')
	os.system('chmod 644 0Tools/*.py')
        os.system('./0Tools/Macro.mac')
except:
	sys.exit('Error installing hmmer-3.0 and RDGB')
os.system('cp 0Tools/Retrieving_Domains.py .')
os.system('cp 0Tools/Genome_Browsing.py .')
os.system('cp 0Tools/Retrieving_Organisms.py .')
print '\nInstallation completed. Ready to run.'
