#!/usr/bin/env python

import sys
import string
import ftplib
import os
import urllib
from time import strftime


#Inizializziamo 

########## MAIN ##################
print '\n\n#########################################################'
print '#                                                       #'
print '#   PART 1 - Retrieving_Domains executable              #'
print '#                                                       #'
print '#   CERM: Magnetic Resonance Center                     #'
print '#   http://www.cerm.unifi.it/home/                      #'
print '#                                           RDGB tool   #'
print '#########################################################'
sds=raw_input('\n\n         PRESS ENTER TO CONTINUE\n')
try:
	fgfg=open('0Tools/hmmer-3.0/INSTALL','r')
except:
	sys.exit('\n***Please run START.py first***')
control='X'
inputs=[]
try:
	cbye=open('0Tools/Pfam-A.hmm','r')
	control=raw_input('Pfam database already present, overwrite? Y/N: ').upper()
except:
	control='X'	
if control != 'N':
	try:
		print '\nDownloading Pfam database'
		urlx1='ftp://ftp.sanger.ac.uk/pub/databases/Pfam/current_release/Pfam-A.hmm.gz'
		urlx3='ftp://ftp.sanger.ac.uk/pub/databases/Pfam/current_release/Pfam-A.hmm.dat.gz'
		filenamex1='Pfam-A.hmm.gz'
		filenamex3='Pfam-A.hmm.dat.gz'
		urllib.urlretrieve(urlx1, filenamex1)
		urllib.urlretrieve(urlx3, filenamex3)
		os.system('gunzip Pfam-A.hmm.gz')
		os.system('gunzip Pfam-A.hmm.dat.gz')
		os.system('mv Pfam-* 0Tools/')
		os.system('0Tools/hmmer-3.0/src/hmmpress 0Tools/Pfam-A.hmm')
		os.system('0Tools/hmmer-3.0/src/hmmfetch --index 0Tools/Pfam-A.hmm')
		print 'Pfam database correctly downloaded'
	except:
		os.system('rm -r 0Profiles*')
		sys.exit('\n***Maybe the Pfam database has changed.\nPlease contact authors for updated web pathways!!!***\n')
sss=open('APPorWRT','w')
control2='X'
APPorWRT='X'
try:
	vyt=open('0Profiles/Retrieved_Domains.list','r').readlines()
	APPorWRT=raw_input('\n0Profiles folder already exist, type O to overwrite, A to append: ').upper()
	while APPorWRT != 'A' and APPorWRT != 'O':
		print '\nIncorrect input, please retry.'
		APPorWRT=raw_input('0Profiles folder already exist, type O to overwrite, A to append: ').upper()
except:
	ghghghg=0
sss.write(APPorWRT+'\n')
sss.close()
if APPorWRT == 'A':
	os.system('mv 0Profiles/ 0Profiles.old/')
	os.system('mv Retrieving_Domains.log Retrieving_Domains.log.old')
	os.system('mv USER.INPUT_FILES USER.INPUT_FILES.old')
if APPorWRT == 'O':
	os.system('cp 0Tools/RDCleaner.py .')
	os.system('python RDCleaner.py')
	sws=open('APPorWRT','w')
	sws.write('O\n')
	sws.close()
contatERR='O'
time=strftime("%Y-%m-%d %H:%M:%S")
GbLog=open('Retrieving_Domains.log','w')
GbLog.write('\n'+time+'\n')
vyr=open('USER.INPUT_FILES','w')
os.system('mkdir 0Profiles')
withPDB=raw_input('\nPDB structures to submit? Y/N: ').upper()
while withPDB != 'N' and withPDB != 'Y':
	print '\nIncorrect input, please retry.'
	withPDB=raw_input('PDB structures to submit? Y/N: ').upper()
if withPDB  == 'N':
	GbLog.write('Only Pfam-based approach used\n')
	GbLog.write('##############PFAM PROFILES##############\n')
	listPFAM=raw_input('\nInsert list of Pfam domains: ')
	try:
		a=open(listPFAM,'r').readlines()
		if listPFAM not in inputs:
			inputs.append(listPFAM)
		qe='1'
	except:
		qe='0'
	while qe=='0':
		print '\nFile not found, please retry.'
		listPFAM=raw_input('Insert list of Pfam domains: ')
		try:
			a=open(listPFAM,'r').readlines()
			qe='1'
		except:
			qe='0'
	a=open(listPFAM,'r').readlines()
	if listPFAM not in inputs:
		inputs.append(listPFAM)
	for i in a:
		d=string.split(i,'\n')
		file=d[0]
		try:
			vvf=open('0Profiles.old/'+file+'.inp','r')
		except:
			try:
				os.system('0Tools/hmmer-3.0/src/hmmfetch -o %s.inp 0Tools/Pfam-A.hmm %s' %(file, file))
				os.system('mv %s.inp 0Profiles/' % file)
				GbLog.write(file+' correctly retrieved\n')
			except:
				print 'Bad Pfam profile ID: '+file+'	from '+listPFAM
				GbLog.write('Bad Pfam profile ID: '+file+'	from '+listPFAM+'\n')
	GbLog.write('\n')
	if APPorWRT == 'A':
		os.system('cat Retrieving_Domains.log >> Retrieving_Domains.log.old')
		os.system('mv Retrieving_Domains.log.old Retrieving_Domains.log')
	if contatERR == 'O':
		GbLog.write('No Errors performing this step\n')
	GbLog.close()
	for vvv in inputs:
		vyr.write(vvv+'\n')
	vyr.close()
	if APPorWRT == 'A':
		os.system('cat USER.INPUT_FILES >> USER.INPUT_FILES.old')
		os.system('mv USER.INPUT_FILES.old USER.INPUT_FILES')
if withPDB == 'Y':
	try:
		sfts=open('0Tools/pdb_seqres','r')
		control2=raw_input('\nPDB database already present, overwrite? Y/N: ').upper()
	except:
		control2='Y'
	if control2 != 'N':
        	try:
			print '\nDownloading PDB database'
			url33='ftp://ftp.wwpdb.org/pub/pdb/derived_data/pdb_seqres.txt.gz'
			filename33='pdb_seqres.gz'
			urllib.urlretrieve(url33, filename33)
			os.system('gunzip pdb_seqres.gz')
			os.system('mv pdb_seqres 0Tools/')
			print 'PDB database correctly downloaded'
		except:
			os.system('rm -r 0Profiles*')
			sys.exit('\n***Maybe the PDB database has changed.\nPlease contact authors for updated web pathways!!!***\n')
	PfamLISTtemp=[]
	withPFAM=raw_input('\nInsert list of Pfam domains, else type N: ')
	if withPFAM != 'N' and withPFAM != 'n':
		try:
			xfr=open(withPFAM,'r').readlines()
			if withPFAM not in inputs:
				inputs.append(withPFAM)
			qw='1'
		except:
			qw='0'
		while qw=='0':
			print '\nIncorrect input, please retry.'
			withPFAM=raw_input('Insert list of Pfam domains, else type N: ')
			if withPFAM != 'N' and withPFAM != 'n':	
				try:
					xfr=open(withPFAM,'r').readlines()
					if withPFAM not in inputs:
						inputs.append(withPFAM)
					qw='1'
				except: 
					qw='0'
			if withPFAM == 'N' or withPFAM == 'n':
				GbLog.write('Only PDB-based approach used\n')
				GbLog.write('##############PFAM PROFILES##############\n')
				qw='1'
		if withPFAM != 'N' and withPFAM != 'n':
			fr=open(withPFAM,'r').readlines()
			if withPFAM not in inputs:
				inputs.append(withPFAM)
			GbLog.write('PDB-based and Pfam-based approaches used\n')
			GbLog.write('##############PFAM PROFILES##############\n')
			for bio in xfr:
				bb=string.split(bio,'\n')
				cxc=bb[0]
				if cxc not in PfamLISTtemp:
					PfamLISTtemp.append(cxc)
	if withPFAM == 'N' or withPFAM == 'n':
		GbLog.write('Only PDB-based approach used\n')
		GbLog.write('##############PFAM PROFILES##############\n')
	os.system('cp 0Tools/PDB-based.py .')
	for vvv in inputs:
		vyr.write(vvv+'\n')
	vyr.close()
	os.system('python PDB-based.py')
	DOM_TOT=[]
	listPDBdom=[]
	try:
		fyq=open('List.domains.NO.ligands_PDB-based','r').readlines()
		for gp in fyq:
			azx=string.split(gp,'\n')
			domPDB=azx[0]
			if domPDB not in listPDBdom:
				listPDBdom.append(domPDB)
	except IOError, err:
		try:
			fyq=open('List.domains.YES.ligands_PDB-based','r').readlines()
			for gp in fyq:
				wdw=string.split(gp,'\n')
				ttt=wdw[0]
				ssx=string.split(ttt,'\t')
				domPDB=ssx[0]
				if domPDB not in listPDBdom:
					listPDBdom.append(domPDB)
		except:
			os.system('rm -r 0Profiles/ Retrieving_Domains.log PDB-based.py APPorWRT')
			if APPorWRT == 'A':
				os.system('mv 0Profiles.old/ 0Profiles/')
				os.system('mv Retrieving_Domains.log.old Retrieving_Domains.log')
			sys.exit('\n***Error occured performing PDB-based.py!!!***\n')
	for domPDB in listPDBdom:
		if domPDB not in DOM_TOT:
			DOM_TOT.append(domPDB)
	if len(PfamLISTtemp) != 0:
		listPFAMdom=[]
		for domPFAM in PfamLISTtemp:
			if domPFAM not in listPDBdom:
				DOM_TOT.append(domPFAM)
			if domPFAM not in listPFAMdom:
				listPFAMdom.append(domPFAM)
	print '\n'
	for dom in DOM_TOT:
		pappa=0
		try:
			vvf=open('0Profiles.old/'+dom+'.inp','r')
		except:
			try:
				os.system('0Tools/hmmer-3.0/src/hmmfetch -o %s.inp 0Tools/Pfam-A.hmm %s' %(dom, dom))
				os.system('mv %s.inp 0Profiles/' % dom)
				GbLog.write(dom+' correctly retrieved\n')
			except:
				print 'Bad Pfam profile ID: '+dom+'    from '+listPFAM
				GbLog.write('Bad Pfam profile ID: '+dom+'      from '+listPFAM+'\n')
	if contatERR == 'O':
		GbLog.write('\nNo Errors performing this step\n')
	GbLog.write('\n')
	GbLog.close()
	os.system('rm PDB-based.py')
	os.system('cat Retrieving_Domains.log PDB-based.log > appo')
	os.system('rm PDB-based.log')
	os.system('mv appo Retrieving_Domains.log')
	if APPorWRT == 'A':
		os.system('cat Retrieving_Domains.log >> Retrieving_Domains.log.old')
		os.system('mv Retrieving_Domains.log.old Retrieving_Domains.log')
if APPorWRT == 'A':
	os.system('mv 0Profiles.old/*.inp 0Profiles/')
	os.system('rm -r 0Profiles.old/')
os.system('ls 0Profiles/*.inp > 0Profiles/Retrieved_Domains.list')
os.system('rm APPorWRT')
