#!/usr/bin/env python

import sys
import string
import ftplib
import os
import urllib
from time import strftime

#Inizializziamo
print '\n\n#########################################################'
print '#                                                       #'
print '#   PART 0 - Retrieving_Organisms executable            #'
print '#                                                       #'
print '#   CERM: Magnetic Resonance Center                     #'
print '#   http://www.cerm.unifi.it/home/                      #'
print '#                                           RDGB tool   #'
print '#########################################################'
sds=raw_input('\n\n         PRESS ENTER TO CONTINUE\n')
inputs=[]
SITE='ftp.ncbi.nih.gov'
USER='ftp'
PWD='guest@'
def wait():
    from time import sleep
    for i in range(1,5):
	sys.stderr.write(".")
	sleep(1)

########## MAIN ##################

try:
	P=open('Prokarya.list','w')
	sys.stderr.write('\nConnecting to %s' % SITE)
	wait()
	ftp = ftplib.FTP(SITE,USER,PWD)
	sys.stderr.write('done \n')
	print '\nRetrieving Prokarya list'
	PATH='/genomes/Bacteria/'
	ftp.cwd(PATH)
	ftp.retrlines('LIST',open('codeP', "wb").write)
	ftp.close()
	a=open('codeP').readline()
	b=string.split(a)
	for c in b:
		if '_' in c:
			if 'dr-xr-xr-x' in c:
				d=string.split(c,'dr-xr-xr-x')
				org=d[0]
				P.write(org+'\n')
	P.close()
	os.system('rm codeP')
	E=open('Eukarya.list','w')
        sys.stderr.write('\nConnecting to %s' % SITE)
        wait()
        ftp = ftplib.FTP(SITE,USER,PWD)
        sys.stderr.write('done \n')
        print '\nRetrieving Eukarya list'
        PATH2='/genomes/'
        ftp.cwd(PATH2)
        ftp.retrlines('LIST',open('codeE', "wb").write)
        ftp.close()
        a2=open('codeE').readline()
        b2=string.split(a2)
        for c2 in b2:
                if '_' in c2:
                        if 'dr-xr-xr-x' in c2:
                                d2=string.split(c2,'dr-xr-xr-x')
                                org2=d2[0]
                                E.write(org2+'\n')
        P.close()
        os.system('rm codeE')
except:
	print 'Program failed.'
